> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Acknowledge an engineering handoff with the tracker's reference



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/org/ai-engineering-handoffs/{handoff_id}/acknowledge
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/ai-engineering-handoffs/{handoff_id}/acknowledge:
    post:
      tags:
        - ai-engineering-handoffs
      summary: Acknowledge an engineering handoff with the tracker's reference
      operationId: >-
        acknowledge_ai_engineering_handoff_api_v1_org_ai_engineering_handoffs__handoff_id__acknowledge_post
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
        - in: path
          name: handoff_id
          required: true
          schema:
            type: string
            title: Handoff Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AcknowledgeAiEngineeringHandoffRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AiEngineeringHandoffItem'
          description: Successful Response
        '400':
          description: Invalid handoff id
        '401':
          description: Unauthorized
        '403':
          description: Only organisation admins can acknowledge engineering handoffs.
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    AcknowledgeAiEngineeringHandoffRequest:
      properties:
        tracker_reference:
          type: string
          title: Tracker Reference
          description: >-
            The engineering tracker's id for the filed work, for example a bead
            id.
      required:
        - tracker_reference
      title: AcknowledgeAiEngineeringHandoffRequest
      type: object
    AiEngineeringHandoffItem:
      properties:
        id:
          title: Id
          type: string
        subject_source_id:
          type: string
          title: Subject Source Id
        alert_name:
          type: string
          title: Alert Name
        severity:
          type: string
          title: Severity
        summary:
          type: string
          title: Summary
        description:
          type: string
          title: Description
        runbook_url:
          type: string
          title: Runbook Url
        labels:
          additionalProperties:
            type: string
          title: Labels
          type: object
        latest_trigger_resource_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Latest Trigger Resource Id
        latest_alert_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Latest Alert Id
        occurrence_count:
          type: integer
          title: Occurrence Count
        occurrences_since_filed:
          type: integer
          title: Occurrences Since Filed
        first_seen_at:
          type: string
          title: First Seen At
        last_seen_at:
          type: string
          title: Last Seen At
        status:
          type: string
          enum:
            - open
            - filed
            - resolved
          title: Status
        tracker_reference:
          type: string
          title: Tracker Reference
        filed_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Filed At
        acknowledged_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Acknowledged At
        resolved_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Resolved At
      required:
        - id
        - subject_source_id
        - alert_name
        - severity
        - summary
        - description
        - runbook_url
        - labels
        - latest_trigger_resource_id
        - latest_alert_id
        - occurrence_count
        - occurrences_since_filed
        - first_seen_at
        - last_seen_at
        - status
        - tracker_reference
        - filed_at
        - acknowledged_at
        - resolved_at
      title: AiEngineeringHandoffItem
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````